Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Websphere MQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.webspheremqadapter.message
Interface IMessage.MsgBody

All Known Implementing Classes:
  Message.MsgBody

Enclosing interface:
  IMessage

    public static interface IMessage.MsgBody

The data (buffer) portion of a `IMessage`.

Method Summary
`byte[]` | `getByteArrayData()` Retrieves the content of the MsgBody.
`byte[]` | `getData()` Retrieves the content of the MsgBody.
`void` | `readByteArrayData()` Synonym for `readData()`.
`void` | `readData()` Retained for compatibility.
`void` | `setByteArrayData(byte[] val)` Sets content of MsgBody to the specified data.
`void` | `setData(byte[] val)` Sets content of MsgBody to the specified data.
`void` | `writeByteArrayData()` Synonym for `writeData()`.
`void` | `writeData()` Retained for compatibility.

Method Detail

### setData

    void setData(byte[] val)
                 throws java.io.IOException

  Sets content of MsgBody to the specified data. Synonymous with `setByteArrayData(byte[])`.

  Parameters:
    `val` - Data to copy to the MsgBody.
  Throws:
    `java.io.IOException` - Thrown when an error occurs.

### setByteArrayData

    void setByteArrayData(byte[] val)
                          throws java.io.IOException

  Sets content of MsgBody to the specified data.

  Parameters:
    `val` - Data to copy to the MsgBody.
  Throws:
    `java.io.IOException` - Thrown when an error occurs.

### getData

    byte[] getData()
                   throws java.io.EOFException,
                          java.io.IOException

  Retrieves the content of the MsgBody. Synonymous with `getByteArrayData()`.

  Parameters:
    None.

  Returns:
    `byte[]` - Returns MsgBody data previously set by `setByteArrayData(byte[])`
  Throws:
    `java.io.EOFException` - Thrown when an error occurs.
    `java.io.IOException` - Thrown when an error occurs.

### getByteArrayData

    byte[] getByteArrayData()
                            throws java.io.EOFException,
                                   java.io.IOException

  Retrieves the content of the MsgBody.

  Parameters:
    None.

  Returns:
    `byte[]` - Returns MsgBody data previously set by `setByteArrayData(byte[])`
  Throws:
    `java.io.EOFException` - Thrown when an error occurs.
    `java.io.IOException` - Thrown when an error occurs.

### readData

    void readData()

  Retained for compatibility. Previously, it was necessary to call this method before calling `getByteArrayData()`, in order that the data be copied from the Message buffer, to this MsgBody's buffer.

  `getByteArrayData()` now performs this synchronization.

  Parameters:
    None.

### readByteArrayData

    void readByteArrayData()

  Synonym for `readData()`.

### writeData

    void writeData()

  Retained for compatibility. Previously, it was necessary to call this method after calling `setByteArrayData(byte[])`, in order that the data copied to this MsgBody's buffer be copied to the Message's buffer.

  `setByteArrayData(byte[])` now performs this synchronization.

  Parameters:
    None.

### writeByteArrayData

    void writeByteArrayData()

  Synonym for `writeData()`.

Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Websphere MQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.